package cn.teammodel.model.dto.news;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class UpdateNewsDto {
    @ApiModelProperty("新闻 id")
    private String id;

    @ApiModelProperty("新闻标题")
    @NotBlank(message = "新闻标题不能为空")
    private String title;

    @ApiModelProperty("学段ID")
    @NotBlank(message = "学段ID不能为空")
    private String periodId;

    @ApiModelProperty("新闻描述")
    private String desc;

    @ApiModelProperty("新闻正文")
    @NotBlank(message = "新闻正文不能为空")
    private String content;

    @ApiModelProperty("新闻封面")
    private String cover;
}