package cn.teammodel.model.dto.ai.deepseek;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 内部类定义请求/响应结构
 */
@Data
@AllArgsConstructor
public class ChatReqDto {
    /**
     * 会话id
     */
    @ApiModelProperty("会话id，没有则为空")
    private String sessionId;

    /**
     * 角色
     */
    @ApiModelProperty("角色")
    private String role;

    /**
     * 提问内容
     */
    @ApiModelProperty("提问内容")
    private String  content;
}
