package cn.teammodel.model.dto.weekDuty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.PositiveOrZero;

/**
 * @author winter
 * @create 2024-01-03 10:59
 */
@Data
@ApiModel("覆盖原节点")
public class UpdateDutyNodeDto {
    @ApiModelProperty(value = "待修改的节点 id")
    @NotNull
    private String id;
    private String name;
    private String desc;
    private Boolean positive = true;
    private Integer order = 0;
    @PositiveOrZero(message = "分数不能为负数")
    private Integer score = 0;
}
