package cn.teammodel.model.entity.appraise;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * 评价项
 * @author winter
 * @create 2023-11-27 16:47
 */

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppraiseRecordItem {
    private String id;
    private AppraiseTreeNode appraiseNode;
    /**
    * 用包装类,这样为 null 时就不会持久化
    */
    private Boolean spread;
    private Boolean pushParent;
    String creator;
    String creatorId;
    private Long createTime;
    private String device;
}
